Messages
========

.. doxygenfunction:: GSM_DecodePDUFrame
.. doxygenfunction:: GSM_DecodeSMSFrame
.. doxygenfunction:: GSM_GetMessageCoding
.. doxygenfunction:: GSM_EncodeSMSFrame
.. doxygenfunction:: GSM_DecodeSMSFrameStatusReportData
.. doxygenfunction:: GSM_DecodeSMSFrameText
.. doxygenfunction:: GSM_DecodeUDHHeader
.. doxygenfunction:: GSM_EncodeUDHHeader
.. doxygenfunction:: GSM_SetDefaultReceivedSMSData
.. doxygenfunction:: GSM_SetDefaultSMSData
.. doxygenfunction:: GSM_DecodeSiemensOTASMS
.. doxygenfunction:: PHONE_EncodeSMSFrame
.. doxygenfunction:: GSM_EncodeMultiPartSMS
.. doxygenfunction:: GSM_DecodeMultiPartSMS
.. doxygenfunction:: GSM_ClearMultiPartSMSInfo
.. doxygenfunction:: GSM_FreeMultiPartSMSInfo
.. doxygenfunction:: GSM_LinkSMS
.. doxygenfunction:: GSM_DecodeMMSFileToMultiPart
.. doxygenfunction:: GSM_ClearMMSMultiPart
.. doxygenfunction:: GSM_GetSMSC
.. doxygenfunction:: GSM_SetSMSC
.. doxygenfunction:: GSM_GetSMSStatus
.. doxygenfunction:: GSM_GetSMS
.. doxygenfunction:: GSM_GetNextSMS
.. doxygenfunction:: GSM_SetSMS
.. doxygenfunction:: GSM_AddSMS
.. doxygenfunction:: GSM_DeleteSMS
.. doxygenfunction:: GSM_SendSMS
.. doxygenfunction:: GSM_SendSavedSMS
.. doxygenfunction:: GSM_SetFastSMSSending
.. doxygenfunction:: GSM_SetIncomingSMS
.. doxygenfunction:: GSM_SetIncomingCB
.. doxygenfunction:: GSM_GetSMSFolders
.. doxygenfunction:: GSM_AddSMSFolder
.. doxygenfunction:: GSM_DeleteSMSFolder
.. doxygenfunction:: GSM_GetMMSFolders
.. doxygenfunction:: GSM_GetNextMMSFileInfo
.. doxygenfunction:: GSM_SetIncomingUSSD
.. doxygenfunction:: GSM_SMSCounter
.. doxygenenum:: GSM_MMS_Class
.. doxygenstruct:: GSM_MMSIndicator
    :members:
.. doxygenstruct:: GSM_CBMessage
    :members:
.. doxygenenum:: GSM_USSDStatus
.. doxygenstruct:: GSM_USSDMessage
    :members:
.. doxygenstruct:: GSM_SMSMemoryStatus
    :members:
.. doxygenenum:: GSM_SMSFormat
.. doxygenenum:: GSM_ValidityPeriod
.. doxygenenum:: GSM_ValidityPeriodFormat
.. doxygenstruct:: GSM_SMSValidity
    :members:
.. doxygenstruct:: GSM_SMSC
    :members:
.. doxygenenum:: GSM_SMS_State
.. doxygenenum:: GSM_Coding_Type
.. doxygenenum:: GSM_UDH
.. doxygenstruct:: GSM_UDHHeader
    :members:
.. doxygenenum:: GSM_SMSMessageType
.. doxygenstruct:: GSM_SMSMessage
    :members:
.. doxygenstruct:: GSM_SMSMessageLayout
    :members:
.. doxygenstruct:: GSM_OneSMSFolder
    :members:
.. doxygenstruct:: GSM_SMSFolders
    :members:
.. doxygenstruct:: GSM_SiemensOTASMSInfo
    :members:
.. doxygenstruct:: GSM_MultiSMSMessage
    :members:
.. doxygenstruct:: GSM_OneMMSFolder
    :members:
.. doxygenstruct:: GSM_MMSFolders
    :members:
.. doxygenenum:: EncodeMultiPartSMSID
.. doxygenstruct:: GSM_MultiPartSMSEntry
    :members:
.. doxygenstruct:: GSM_MultiPartSMSInfo
    :members:
.. doxygenenum:: MMSAddressType
.. doxygenstruct:: GSM_EncodedMultiPartMMSEntry
    :members:
.. doxygenstruct:: GSM_EncodedMultiPartMMSInfo
    :members:
